
Redmine - Feature #1233

change default homepage to My page

2008-05-13 18:36 - Robert Cerny

Status: New Start date: 2008-05-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

I would like to get a preference to set homepage to another page. My page is prefered, popup button with more options (MyPage,

Wiki, Selected Project...) would be better

Related issues:

Related to Redmine - Feature #664: User can choose what page he want's to be ... New 2008-02-14

Related to Redmine - Feature #429: Merge Home and My page New

Related to Redmine - Feature #4349: Choose startpage in My account New 2009-12-06

Related to Redmine - Feature #6464: Ability to set landing page after login Closed 2010-09-22

Has duplicate Redmine - Feature #5232: Show 'My page' after login Closed 2010-04-01

History

#1 - 2009-03-17 17:01 - Matt Meng

+1

This is something I've been hoping to see for quite some time.  It would be great if it were a per-user based choice, so that one user could select "My

Page" as default while another decides upon "Wiki".

#2 - 2009-03-30 15:56 - David P

+1

The ability to choose a project->roadmap or version as the default view would be nice.

#3 - 2009-08-24 00:25 - Noname Noname

+1 here, if we could have it so we could set an overall home page for the site i.e. the issues page

#4 - 2010-02-13 14:47 - Robert Gruendler

+1 optionally setting default homepage to "my page" would be great.

ie. we don't use "news" a lot in our projects, so the default homepage doesn't show any recent information at all, hence you click it away in 99% of the

cases.

#5 - 2010-09-24 13:53 - Sebastian M.

+1

#6 - 2010-11-26 11:49 - Sebastian M.

Here's how to change it manually:

Edit config/routes.rb

Change

map.home '', :controller => 'welcome'

to

map.home '', :controller => 'my', :action => 'page'
#7 - 2011-02-01 15:36 - James Stewart

Another way of doing this, is to create a new Redmine plugin, and modify <plugin>/config/routes.rb.  I do this mainly to keep from having to modify

Redmine core files, making upgrades and testing simpler.

map.home '', :controller => 'my'

 I removed the page action because it causes rake test to fail, and looking at the My controller, page is defined in the index method.

RAILS_ENV=test rake test

#8 - 2011-05-19 08:48 - pasquale [:dedalus]

+1

#9 - 2011-05-19 09:52 - Etienne Massip

- Target version set to Candidate for next major release

#10 - 2011-06-06 17:09 - Thomas Evensen

+1

Would it be possible, while we wait, for someone to produce a plugin we could use. Perhaps also with an easy configuration option of choosing what

page/project-page to choose?

#11 - 2011-06-30 18:11 - Hisham Al-Shurafa

+1 My page has better info than 'Home'. I already went ahead and changed it for my team by editing config/routes.rb

#12 - 2011-08-10 16:42 - André Bachmann

I'm wondering what exactly has to be in config/routes.rb so that the user is automatically redirected to the wiki page of a project? I want the exact

behaviour of www.redmine.org, where the user is guided to the wiki of the project automatically.

Who can give a hint?

#13 - 2011-10-19 16:47 - side2k .

André Bachmann wrote:

I'm wondering what exactly has to be in config/routes.rb so that the user is automatically redirected to the wiki page of a project? I want the exact

behaviour of www.redmine.org, where the user is guided to the wiki of the project automatically.

Who can give a hint?

 Here it is:

map.home '', :project_id => 'myproject', :action => 'show', :controller => 'wiki'

 Of course, you should put your project name instead of myproject

#14 - 2012-05-05 14:58 - Uwe Koloska

Maybe this plugin will do what you want: Landing Page

#15 - 2012-05-09 07:03 - Makoto NAKAYA

- File adds_default_page.patch added

Hello,

I made the patch from branch "master". This patch works on 1.4.1 stable.

It adds column "default_page" and "default_project_id" to table "users".

"default_page" means what should be loaded after logined.

"default_project_id" means user's default project. But it can be selected from projects that are joined by user.

There is no test code because I don't know how to write tests....

Regards

#16 - 2012-06-29 12:58 - Paul Mureev
+1

#17 - 2012-09-04 19:21 - Kevin Cloutier

What would be added to routes.rb to land the users on 'view all issues' and optionally with a selected saved query?

#18 - 2012-09-19 18:59 - Den Iskandarov

How to make default page as:

Home -> Projects -> View all issues ?

Redmine 2.1.0

#19 - 2012-09-27 06:33 - Sunny Jaiwal

I was able to successfully change the home page in Redmine 2.1.0 by changing the following statement in /config/routes.rb from

root :to => 'welcome#index', :as => 'home'

to

root :to => 'reports#issue_report', :id => 'myproject', :as => 'home'

where "myproject" is the project identifier.

#20 - 2013-02-09 02:54 - Filou Centrinov

Duplicate: #5232

Related to: #664, #6464

#21 - 2013-02-09 08:35 - Toshi MARUYAMA

Filou Centrinov wrote:

Duplicate: #5232

Related to: #664, #6464

 Thank you for your pointing.

#22 - 2013-02-13 16:01 - Filou Centrinov

Related to #429

#23 - 2013-02-14 10:16 - Daniel Felix

Filou Centrinov wrote:

Related to #429

 Thanks. Added relation.

#24 - 2013-03-18 04:43 - Dipan Mehta

You can do exactly the same thing using Redmine Start Page plugin

Install, and config [ contoller= my , action = page ]

#25 - 2013-07-12 04:43 - David Muir

Redmine Start Page plugin says:

Compatible with:     Redmine 1.2.x

Not really a viable solution if it's not available for the 2.x branch.

#26 - 2013-10-22 20:02 - Branden Strickland

If you follow to the Github page you'll see that it's usable for 2.x - They just didn't update the plugin page.

#27 - 2014-10-09 17:27 - Filou Centrinov

- Related to Feature #4349: Choose startpage in My account added
#28 - 2014-10-09 17:34 - Filou Centrinov

- Related to Feature #6464: Ability to set landing page after login added

#29 - 2014-12-18 11:34 - Anonymous

Sunny Jaiwal wrote:

I was able to successfully change the home page in Redmine 2.1.0 by changing the following statement in /config/routes.rb from

root :to => 'welcome#index', :as => 'home'

to

root :to => 'reports#issue_report', :id => 'myproject', :as => 'home'

where "myproject" is the project identifier.

 How can I set it to /redmine/projects/myproject/issues

Please help

#30 - 2015-01-29 02:11 - Nathan Eddle

root :to => 'reports#issue_report', :id => 'myproject', :as => 'home'

where myproject is the project identifier.

 How can I set it to /redmine/projects/myproject/issues

 You can use issues#index.

For the activity page, it's activities#index.

And.. the one I was looking for is the overview page for a project: projects#show. This works with one project for all users.

#31 - 2016-02-11 19:29 - Danilo Muñoz

For a while, and working around, I changed the config/routes.rb:

root :to => redirect('relative URL')

#32 - 2016-04-05 19:47 - David Raid

Bonjour,

My browser shortcut to Redmine points to http://myserver/my/page, and I land on "My page" after login.

You can use whatever Redmine URL you want in your browser shortcuts, it seems that you land on the specified page after login.

The feature will provide a single landing page, where browser shortcuts will provide as many as landing pages you want.

It's up to each user to choose his shortcuts to land on his favorite pages.

David

#33 - 2016-08-23 12:45 - Alex Kanogin

I changed the config/routes.rb:

from:

root :to => 'welcome#index', :as => 'home'

to:

root :to => 'my#page', :as => 'home'

Work at redmine version 3.3.0.

After login at domain name, browser open /my/page.

#34 - 2017-10-20 09:56 - Marshall Hoang

Alex Kanogin wrote:

I changed the config/routes.rb:
from:

root :to => 'welcome#index', :as => 'home'

to:

root :to => 'my#page', :as => 'home'

Work at redmine version 3.3.0.

After login at domain name, browser open /my/page.

 So what'll you do when Redmine updates core?

#35 - 2018-05-11 10:20 - Milo H

Did it worked at redmine version 3.4.5?

#36 - 2018-05-14 05:43 - Gokul NK

Milo H wrote:

Did it worked at redmine version 3.4.5?

 It is just Ruby on Rails based routing. So this hack should I deally work in all the versions. I can confirm that it worked on 3.4.3.stable.17157

#37 - 2018-05-14 06:21 - Gokul NK

After making the change you will need to add

# Just add this below 'root :to=> ...' line

match '/', :to => 'welcome#index', via: :all

 For more details you can follow http://www.redmine.org/issues/11284

#38 - 2020-03-28 13:57 - Nikaola Piterskii

Any chance of adding this functionality?

#39 - 2020-08-03 11:57 - Stefan Lindner

+1

#40 - 2021-12-14 12:49 - C S

+1

#41 - 2022-06-16 07:29 - Bubi =

+1

Files

adds_default_page.patch 9.29 KB 2012-05-09 Makoto NAKAYA
